<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for APISRulesRS StructType
 * @package Dg
 * @subpackage Structs
 */
class DgAPISRulesRS extends AbstractStructBase
{
    /**
     * The Warnings
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgWarningsType
     */
    public $Warnings;
    /**
     * The Success
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgSuccessType
     */
    public $Success;
    /**
     * The APISRules
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgAPISRules
     */
    public $APISRules;
    /**
     * The Errors
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgErrorsType
     */
    public $Errors;
    /**
     * Constructor method for APISRulesRS
     * @uses DgAPISRulesRS::setWarnings()
     * @uses DgAPISRulesRS::setSuccess()
     * @uses DgAPISRulesRS::setAPISRules()
     * @uses DgAPISRulesRS::setErrors()
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @param \dgsoft\StructType\DgSuccessType $success
     * @param \dgsoft\StructType\DgAPISRules $aPISRules
     * @param \dgsoft\StructType\DgErrorsType $errors
     */
    public function __construct(\dgsoft\StructType\DgWarningsType $warnings = null, \dgsoft\StructType\DgSuccessType $success = null, \dgsoft\StructType\DgAPISRules $aPISRules = null, \dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this
            ->setWarnings($warnings)
            ->setSuccess($success)
            ->setAPISRules($aPISRules)
            ->setErrors($errors);
    }
    /**
     * Get Warnings value
     * @return \dgsoft\StructType\DgWarningsType|null
     */
    public function getWarnings()
    {
        return $this->Warnings;
    }
    /**
     * Set Warnings value
     * @param \dgsoft\StructType\DgWarningsType $warnings
     * @return \dgsoft\StructType\DgAPISRulesRS
     */
    public function setWarnings(\dgsoft\StructType\DgWarningsType $warnings = null)
    {
        $this->Warnings = $warnings;
        return $this;
    }
    /**
     * Get Success value
     * @return \dgsoft\StructType\DgSuccessType|null
     */
    public function getSuccess()
    {
        return $this->Success;
    }
    /**
     * Set Success value
     * @param \dgsoft\StructType\DgSuccessType $success
     * @return \dgsoft\StructType\DgAPISRulesRS
     */
    public function setSuccess(\dgsoft\StructType\DgSuccessType $success = null)
    {
        $this->Success = $success;
        return $this;
    }
    /**
     * Get APISRules value
     * @return \dgsoft\StructType\DgAPISRules|null
     */
    public function getAPISRules()
    {
        return $this->APISRules;
    }
    /**
     * Set APISRules value
     * @param \dgsoft\StructType\DgAPISRules $aPISRules
     * @return \dgsoft\StructType\DgAPISRulesRS
     */
    public function setAPISRules(\dgsoft\StructType\DgAPISRules $aPISRules = null)
    {
        $this->APISRules = $aPISRules;
        return $this;
    }
    /**
     * Get Errors value
     * @return \dgsoft\StructType\DgErrorsType|null
     */
    public function getErrors()
    {
        return $this->Errors;
    }
    /**
     * Set Errors value
     * @param \dgsoft\StructType\DgErrorsType $errors
     * @return \dgsoft\StructType\DgAPISRulesRS
     */
    public function setErrors(\dgsoft\StructType\DgErrorsType $errors = null)
    {
        $this->Errors = $errors;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgAPISRulesRS
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
